#!/bin/sh
#
# ---------------------------------------------------------------------
# Jfuscator startup script.
# ---------------------------------------------------------------------
#

JF_BIN_DIR_HOME=`dirname "$0"`

# ---------------------------------------------------------------------
# Collect JVM options and properties.
# ---------------------------------------------------------------------

VM_OPTIONS_FILE="$JF_BIN_DIR_HOME/jfuscator.vmoptions"

if [ -r "$VM_OPTIONS_FILE" ]; then
  VM_OPTIONS=`"$CAT" "$VM_OPTIONS_FILE" | "$GREP" -v "^#.*" | "$TR" '\n' ' '`
fi

ALL_JVM_ARGS="$VM_OPTIONS $USER_JVM_ARGS"

# ---------------------------------------------------------------------
# Run Jfuscator
# ---------------------------------------------------------------------
java $ALL_JVM_ARGS -cp "${JF_BIN_DIR_HOME}/jfuscator.jar" gui.MainForm  $*
